import { request } from "@/utils/request";

// 产品信息
export function dmpProductInfo(param) {
    return request({
        url: "/service-iot/dmpProductInfo/page",
        method: "POST",
        data: param,
    });
}

// 告警类型列表
export function baseAlarmTypeList(param) {
    return request({
        url: "/service-iot/baseAlarm/statistic",
        method: "POST",
        data: param,
    });
}

// 告警列表
export function baseAlarmList(param) {
    return request({
        url: "/service-iot/baseAlarm/page",
        method: "POST",
        data: param,
    });
}

// 告警列表-修改
export function baseAlarm(param) {
    return request({
        url: "/service-iot/baseAlarm",
        method: "PUT",
        data: param,
    });
}

// 告警类型列表
export function getTypePage(data) {
    return request({
        url: '/service-iot/baseAlarmType/page',
        method: 'POST',
        data,
    })
}